package com.ruoyi.adjust.mapper;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.adjust.domain.DPatentDataCollationInfo;

/**
 * 专利数据整理Mapper接口
 *
 * @author ruoyi
 * @date 2023-03-26
 */
public interface DPatentDataCollationInfoMapper extends BaseMapper<DPatentDataCollationInfo> {
	List<DPatentDataCollationInfo> listForAdj(DPatentDataCollationInfo dPatentDataCollationInfo) ;
	
	
//	truncate table c_trademark_reg;
//	truncate table c_trademark_apl;
//	truncate table c_trademark_act;
//	truncate table c_trademark_reg_nc;
//	truncate table c_trademark_apl_nc;
//	truncate table c_trademark_act_nc;
	
	void deleteForSyncMarkReg();
	void insertForSyncMarkReg();
	void deleteForSyncMarkApl();
	void insertForSyncMarkApl();
	void deleteForSyncMarkAct();
	void insertForSyncMarkAct();
	
	void deleteForSyncMarkRegNc();
	void insertForSyncMarkRegNc();
	void deleteForSyncMarkAplNc();
	void insertForSyncMarkAplNc();
	void deleteForSyncMarkActNc();
	void insertForSyncMarkActNc();
	
	
	
	void deleteForSyncActView();
	void insertForSyncActView();
	void deleteForSyncActIpc();
	void insertForSyncActIpc();
	void deleteForSyncActType();
	void insertForSyncActType();
	
	void deleteForSyncAuthIpc();
	void insertForSyncAuthType();
	void deleteForSyncAuthType();
	void insertForSyncAuthIpc();
	
	void deleteForSyncPubIpc();
	void insertForSyncPubIpc();
	
	
	void deleteForSyncActRank();
	void insertForSyncActRank();
	void deleteForSyncAuthRank();
	void insertForSyncAuthRank();
	void deleteForSyncPubRank();
	void insertForSyncPubRank();
	
	void deleteForSyncHvDetail(String yearBatch);
	void insertForSyncHvDetail(@Param("yearBatch") String yearBatch,@Param("monthBatch") String monthBatch);
	
	void deleteForSyncPubView();
	void insertForSyncPubView();
	void deleteForSyncAuthView();
	void insertForSyncAuthView();
	
	void deleteForSyncPubType();
	void insertForSyncPubType();
	
}
